<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'blackwhite29',

    /*
     * Package.
     */
    'package'   => 'fbuid',

    /*
     * Modules.
     */
    'modules'   => ['fbuids', 'fbuids_categories'],


    'fbuids'       => [
        'model'             => 'Blackwhite29\Fbuid\Models\Fbuids',
        'table'             => 'fbuids',
        'presenter'         => \Blackwhite29\Fbuid\Repositories\Presenter\FbuidsItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'fbuid',  'fbname',  'fb_birthday',  'fb_location',  'fb_mobile',  'fb_email',  'fb_gender',  'category_id'],
        'translate'         => ['fbuid',  'fbname',  'fb_birthday',  'fb_location',  'fb_mobile',  'fb_email',  'fb_gender',  'category_id'],

        'upload-folder'     => '/uploads/fbuid/fbuids',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'fbuids_categories'       => [
        'model'             => 'Blackwhite29\Fbuid\Models\FbuidsCategories',
        'table'             => 'fbuids_categories',
        'presenter'         => \Blackwhite29\Fbuid\Repositories\Presenter\FbuidsCategoriesItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'name',  'user_id'],
        'translate'         => ['name',  'user_id'],

        'upload-folder'     => '/uploads/fbuid/fbuids_categories',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
