<?php

namespace Blackwhite29\Fbuids\Http\Controllers;

use App\Http\Controllers\PublicWebController as PublicController;
use Blackwhite29\Fbuids\Interfaces\FbuidsRepositoryInterface;

class FbuidsPublicWebController extends PublicController
{
    /**
     * Constructor.
     *
     * @param type \Blackwhite29\Fbuids\Interfaces\FbuidsRepositoryInterface $fbuids
     *
     * @return type
     */
    public function __construct(FbuidsRepositoryInterface $fbuids)
    {
        $this->repository = $fbuids;
        parent::__construct();
    }

    /**
     * Show fbuids's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $fbuids = $this->repository->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('fbuids::public.fbuids.index', compact('fbuids'))->render();
    }

    /**
     * Show fbuids.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $fbuids = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('fbuids::public.fbuids.show', compact('fbuids'))->render();
    }
}
