<?php

namespace Blackwhite29\Fbuids\Providers;

use Illuminate\Foundation\Support\Providers\RouteServiceProvider as ServiceProvider;
use Illuminate\Routing\Router;
use Blackwhite29\Fbuids\Models\Fbuids;
use Request;

class RouteServiceProvider extends ServiceProvider
{
    /**
     * This namespace is applied to the controller routes in your routes file.
     *
     * In addition, it is set as the URL generator's root namespace.
     *
     * @var string
     */
    protected $namespace = 'Blackwhite29\Fbuids\Http\Controllers';

    /**
     * Define your route model bindings, pattern filters, etc.
     *
     * @param   \Illuminate\Routing\Router  $router
     * @return void
     */
    public function boot(Router $router)
    {
        parent::boot($router);

        if (Request::is('*/fbuids/fbuids/*')) {
            $router->bind('fbuids', function ($id) {
                $fbuids = $this->app->make('\Blackwhite29\Fbuids\Interfaces\FbuidsRepositoryInterface');
                return $fbuids->findorNew($id);
            });
        }
if (Request::is('*/fbuids/fbuids_categories/*')) {
            $router->bind('fbuids_categories', function ($id) {
                $fbuids_categories = $this->app->make('\Blackwhite29\Fbuids\Interfaces\FbuidsCategoriesRepositoryInterface');
                return $fbuids_categories->findorNew($id);
            });
        }

    }

    /**
     * Define the routes for the application.
     *
     * @param \Illuminate\Routing\Router $router
     *
     * @return void
     */
    public function map(Router $router)
    {
        $router->group(['namespace' => $this->namespace], function ($router) {
            require __DIR__ . '/../Http/routes.php';
        });
    }
}
